package ${basePackage}.action.ajax.system;

import ${basePackage}.frame.auth.LocalData;
import ${basePackage}.frame.utils.MapperUtil;
import ${basePackage}.module.system.mgr.DictManager;
import ${basePackage}.module.system.req.*;
import ${basePackage}.module.system.rsp.*;
import org.springframework.beans.factory.annotation.Autowired;

public class DictAjax {

    @Autowired
    private DictManager dictManager;

    public DictCreateResponse create(String jsonParam) {
        DictCreateRequest request = MapperUtil.toJava(jsonParam, DictCreateRequest.class);
        return dictManager.create(request, LocalData.getToken());
    }

    public DictDeleteResponse delete(String jsonParam) {
        DictDeleteRequest request = MapperUtil.toJava(jsonParam, DictDeleteRequest.class);
        return dictManager.delete(request, LocalData.getToken());
    }

    public DictUpdateResponse update(String jsonParam) {
        DictUpdateRequest request = MapperUtil.toJava(jsonParam, DictUpdateRequest.class);
        return dictManager.update(request, LocalData.getToken());
    }

    public DictFindResponse find(String jsonParam) {
        DictFindRequest request = MapperUtil.toJava(jsonParam, DictFindRequest.class);
        return dictManager.find(request, LocalData.getToken());
    }

    public DictGetResponse get(String jsonParam) {
        DictGetRequest request = MapperUtil.toJava(jsonParam, DictGetRequest.class);
        return dictManager.get(request, LocalData.getToken());
    }

    public DictLoadResponse load(String jsonParam) {
        DictLoadRequest request = MapperUtil.toJava(jsonParam, DictLoadRequest.class);
        return dictManager.load(request, LocalData.getToken());
    }
}
